package com.goafanti.order.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;


public class TOrderInvoiceBo {
	@Excel(name = "编号",width =6)
	private Integer id;
	@Excel(name = "客户名称")
	private String userName;
	@Excel(name = "开票单位名称")
	private String unitName;
	@Excel(name = "跟单人/签单人")
	private String name;
	@Excel(name = "订单编号")
	private String orderNo;
	@Excel(name = "合同编号")
	private String contractNo;
	@Excel(name = "项目状态",enumsName = "com.goafanti.order.enums.NewProjectStatus")
	private Integer projectStatus;
	private Integer processStatus;

	@Excel(name = "开票金额（万元）",scale = 6)
	private BigDecimal amount;
	@Excel(name = "开票状态",readConverterExp = "1=处理中，2=已完成，3=驳回")
	private Integer status;
	@Excel(name = "特批状态",readConverterExp = "0=非特批，1=待审核，2=审核通过")
	private Integer approval;
	@Excel(name = "已开票（万元）",scale = 6)
	private BigDecimal sumAmount;
	@Excel(name = "已收款（万元）",scale = 6)
	private BigDecimal settlementAmount;
	@Excel(name = "未收款（万元）",scale = 6)
	private BigDecimal notAmount;
	@Excel(name = "申请时间")
	private String createTime;
	private String rejectReason;
	private String examineName;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getExamineName() {
		return examineName;
	}

	public void setExamineName(String examineName) {
		this.examineName = examineName;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getProjectStatus() {
		return projectStatus;
	}
	public void setProjectStatus(Integer projectStatus) {
		this.projectStatus = projectStatus;
	}

	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public BigDecimal getAmount() {
		return amount;
	}
	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}
	public BigDecimal getSumAmount() {
		return sumAmount;
	}
	public void setSumAmount(BigDecimal sumAmount) {
		this.sumAmount = sumAmount;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public BigDecimal getNotAmount() {
		return notAmount;
	}
	public void setNotAmount(BigDecimal notAmount) {
		this.notAmount = notAmount;
	}
	public BigDecimal getSettlementAmount() {
		return settlementAmount;
	}
	public void setSettlementAmount(BigDecimal settlementAmount) {
		this.settlementAmount = settlementAmount;
	}
	public String getRejectReason() {
		return rejectReason;
	}
	public void setRejectReason(String rejectReason) {
		this.rejectReason = rejectReason;
	}
	public Integer getApproval() {
		return approval;
	}
	public void setApproval(Integer approval) {
		this.approval = approval;
	}
	public Integer getProcessStatus() {
		return processStatus;
	}
	public void setProcessStatus(Integer processStatus) {
		this.processStatus = processStatus;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}


}
